Page MenuHomePhabricator

move all misc services from zirconium to a VM
Closed, ResolvedPublic

Description

move all services off of zirconium to a VM.

once all roles are removed, recycle zirconium

Details

Related Gerrit Patches:
operations/puppet : productiongrafana: remove role from zirconium
operations/puppet : productionmisc-web: add node krypton as a backend

Event Timeline

Dzahn created this task.Jul 7 2015, 6:04 AM
Dzahn raised the priority of this task from to Needs Triage.
Dzahn updated the task description. (Show Details)
Dzahn added a project: acl*sre-team.
Dzahn added a subscriber: Dzahn.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptJul 7 2015, 6:04 AM
Dzahn added a comment.EditedJul 7 2015, 6:09 AM
include role::planet
include role::wikimania_scholarships
include role::bugzilla_static
include role::transparency
include role::grafana
include role::iegreview
include role::annualreport
include role::policysite
Dzahn triaged this task as Medium priority.Jul 7 2015, 6:10 AM

So, i moved all the sites that are just static content to bromine.eqiad.wmnet.

The remaining 3 sites are actual apps as opposed to that. Therefore i think a separate VM from bromine is appropriate.


default server grafana.wikimedia.org (/etc/apache2/sites-enabled/50-grafana.conf:4)
port 80 namevhost grafana.wikimedia.org (/etc/apache2/sites-enabled/50-grafana.conf:4)
port 80 namevhost iegreview.wikimedia.org (/etc/apache2/sites-enabled/50-iegreview-wikimedia-org.conf:6)
port 80 namevhost scholarships.wikimedia.org (/etc/apache2/sites-enabled/50-scholarships-wikimedia-org.conf:6)

Change 224995 had a related patch set uploaded (by Dzahn):
misc-web: add node krypton as a backend

https://gerrit.wikimedia.org/r/224995

Change 224995 merged by Dzahn:
misc-web: add node krypton as a backend

https://gerrit.wikimedia.org/r/224995

Change 230827 had a related patch set uploaded (by Dzahn):
grafana: remove role from zirconium

https://gerrit.wikimedia.org/r/230827

Change 230827 merged by Dzahn:
grafana: remove role from zirconium

https://gerrit.wikimedia.org/r/230827

Dzahn closed this task as Resolved.Aug 11 2015, 6:45 PM
Phabricator_maintenance renamed this task from tracking: move all misc services from zirconium to a VM to move all misc services from zirconium to a VM.Aug 13 2016, 9:10 PM